Page MenuHomePhabricator

Delete domain-name and domain-search won't work
Closed, ResolvedPublicBUG

Description

set system host-name 'R1'
set system domain-name 'example.com'
set system domain-search domain 'search.tld'
commit
delete system domain-name
delete system domain-search
commit

If we look to /etc/hosts and /etc/resolv.conf, all domain name stay here after delete from cli

vyos@vyos# sudo cat /etc/hosts

### Autogenerated by VyOS ###
### Do not edit, your changes will get overwritten ###

# Local host
127.0.0.1       localhost
127.0.1.1       R1.example.com R1

vyos@vyos# sudo cat /etc/resolv.conf 

### Autogenerated by VyOS ###
### Do not edit, your changes will get overwritten ###

nameserver 8.8.8.8
nameserver 1.1.1.1

domain example.com
search example.com search.tld

Details

Difficulty level
Easy (less than an hour)
Version
1.2-rolling-201909291310
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

Dmitry created this task.Sep 29 2019, 10:15 PM
Dmitry changed the task status from Open to In progress.Sep 29 2019, 10:19 PM
pasik added a subscriber: pasik.Oct 6 2019, 9:11 PM
syncer changed the task status from In progress to Backport candidate.Nov 16 2019, 11:36 PM
syncer assigned this task to jestabro.
syncer triaged this task as Normal priority.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
jestabro closed this task as Resolved.Nov 22 2019, 2:06 PM